package com.unis.detectionnum.server.dao;

import com.unis.detectionnum.server.entity.RobotCallDetailListDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;


/**
 *
 * @ClassName: RobotCallDetailListDao
 * @Description: RobotCallDetailListDao
 * @author ykf
 * @date 2019年12月17日 下午5:22:22
 *
 * @version v1.0
 */
@Repository
public interface RobotCallDetailListDao  {
    int deleteByPrimaryKey(Long listId);

    int insert(RobotCallDetailListDO record);

    int insertSelective(RobotCallDetailListDO record);

    RobotCallDetailListDO selectByPrimaryKey(Long listId);

    int updateByPrimaryKeySelective(RobotCallDetailListDO record);

    int updateByPrimaryKey(RobotCallDetailListDO record);
}